﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Excel = Microsoft.Office.Interop.Excel;

namespace IS_hairdresser
{
    public partial class Deliveries_FORM : Form
    {
        public Deliveries_FORM()
        {
            InitializeComponent();
        }

        private void Deliveries_FORM_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "gushchinaDataSet.Deliveries". При необходимости она может быть перемещена или удалена.
            this.deliveriesTableAdapter.Fill(this.gushchinaDataSet.Deliveries);

        }

        private void менюToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Form1 frm = new Form1();
            this.Close();
            frm.Show();
        }

        private void button1_Click_1(object sender, EventArgs e)
        {
            listBindingSource.Filter = "[Артикул] LIKE'" + textBox2.Text + "%'";
        }

        private void сохранитьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            deliveriesTableAdapter.Update(gushchinaDataSet.Deliveries);
        }

        private void скачатьToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Excel.Application exApp = new Excel.Application();

            exApp.Workbooks.Add();
            Excel.Worksheet wsh = (Excel.Worksheet)exApp.ActiveSheet;
            int i, j;
            wsh.Cells[1, 1] = "Артикул";
            wsh.Cells[1, 2] = "Наименование";
            wsh.Cells[1, 3] = "Цена";
            wsh.Cells[1, 4] = "Дата";
            for (i = 0; i <= DataGridView.RowCount - 2; i++)
            {
                for (j = 0; j <= DataGridView.ColumnCount - 1; j++)
                {
                    wsh.Cells[i + 2, j + 1] = DataGridView[j, i].Value.ToString();
                }
            }
            exApp.Visible = true;
        }

        private void button4_Click(object sender, EventArgs e)
        {
            listBindingSource.Filter = "[Наименование] LIKE'" + comboBox1.Text + "%'";
        }

        private void button7_Click(object sender, EventArgs e)
        {
            listBindingSource.Filter = "[Дата] LIKE'" + textBox5.Text + "%'";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            listBindingSource.Filter = "";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < DataGridView.ColumnCount; i++)
                for (int j = 0; j < DataGridView.RowCount; j++)
                {
                    DataGridView[i, j].Style.BackColor = Color.White;
                    DataGridView[i, j].Style.ForeColor = Color.Black;
                }
            if (textBox2.Text != "")
            {
                for (int i = 0; i < DataGridView.ColumnCount; i++)
                    for (int j = 0; j < DataGridView.RowCount; j++)
                        if (DataGridView[i, j].Value != null)
                            if (DataGridView[i, j].Value.ToString().IndexOf(textBox2.Text) > -1)
                            {
                                DataGridView[i, j].Style.BackColor = Color.Black;
                                DataGridView[i, j].Style.ForeColor = Color.Red;
                            }
            }
            if (comboBox1.Text != "")
            {
                for (int i = 0; i < DataGridView.ColumnCount; i++)
                    for (int j = 0; j < DataGridView.RowCount; j++)
                        if (DataGridView[i, j].Value != null)
                            if (DataGridView[i, j].Value.ToString().IndexOf(comboBox1.Text) > -1)
                            {
                                DataGridView[i, j].Style.BackColor = Color.Black;
                                DataGridView[i, j].Style.ForeColor = Color.Red;
                            }
            }
            if (textBox4.Text != "")
            {
                for (int i = 0; i < DataGridView.ColumnCount; i++)
                    for (int j = 0; j < DataGridView.RowCount; j++)
                        if (DataGridView[i, j].Value != null)
                            if (DataGridView[i, j].Value.ToString().IndexOf(textBox4.Text) > -1)
                            {
                                DataGridView[i, j].Style.BackColor = Color.Black;
                                DataGridView[i, j].Style.ForeColor = Color.Red;
                            }
            }
            if (textBox5.Text != "")
            {
                for (int i = 0; i < DataGridView.ColumnCount; i++)
                    for (int j = 0; j < DataGridView.RowCount; j++)
                        if (DataGridView[i, j].Value != null)
                            if (DataGridView[i, j].Value.ToString().IndexOf(textBox5.Text) > -1)
                            {
                                DataGridView[i, j].Style.BackColor = Color.Black;
                                DataGridView[i, j].Style.ForeColor = Color.Red;
                            }
            }
        }
    }
}
